Download OpenAPI specification:
Inphinity Forms API
This endpoint is used to query all records stored in the form instance. If the changelog parameter is sent and set to true, deleted records as well as older (changed) values of records will be included in the response.
Stable - with the exception of the metadata field when application/vnd.inphinity-forms+json content type is used.
Required permissions: READ
| formInstance required | string ID of form instance |
| changelog | boolean Return full changelog |
| since | string <date-time> ISO 8601 formatted timestamp; only records newer than this timestamp will be returned |
This endpoint is used to insert new records or update existing records.
Stable - with the exception of the metadata field when application/vnd.inphinity-forms+json content type is used.
Required permissions: WRITE
| formInstance required | string ID of form instance |
| Prefer | string The endpoint respects the |
| $key | string Record key; when omitted or null, a new key will be generated on insert; when present, must be a non-empty string |
| $changedAt | string <date-time> ISO 8601 formatted timestamp of when the record was modified |
| $changedBy | string |
| $changedByName | string |
| $deleted | boolean |
| $isNew | boolean |
| property name* additional property | any |
[- {
- "$key": "582e0548-4e62-4bf3-9b14-855662c0e47e",
- "region": "EMEA",
- "billings": "1000000"
}, - {
- "region": "APAC",
- "billings": "2000000"
}
][- {
- "$key": "582e0548-4e62-4bf3-9b14-855662c0e47e",
- "$changedAt": "2023-09-30T09:20:10Z",
- "$changedBy": "thisuser",
- "$changedByName": "This User",
- "region": "EMEA",
- "billings": "1000000"
}, - {
- "$key": "46116a62-b6f7-4939-8f78-d142b8f0657a",
- "$changedAt": "2023-09-30T09:20:10Z",
- "$changedBy": "thisuser",
- "$changedByName": "This User",
- "$isNew": true,
- "region": "APAC",
- "billings": "2000000"
}
]This endpoint is used to upsert (update or insert) multiple records with the same change. Multiple different changes can be submitted.
Stable.
Required permissions: WRITE
| formInstance required | string ID of form instance |
| keys required | Array of strings |
| modification required | object |
[- {
- "keys": [
- "582e0548-4e62-4bf3-9b14-855662c0e47e",
- "5e499891-a3cf-4f7e-ac9f-bd05d019320e",
- ""
], - "modification": {
- "billings": "1000000"
}
}
]This endpoint is used to completely remove all records stored in the forms instance, including the changelog.
Stable - with the exception of the metadata field when application/vnd.inphinity-forms+json content type is used.
Required permissions: PURGE
| formInstance required | string ID of form instance |
This endpoint is used to delete a single record. If the underlying storage supports it, the record is only marked as deleted.
Stable.
Required permissions: WRITE
| formInstance required | string ID of form instance |
| key required | string ID of record to delete |
This endpoint is used to query records stored in the form instance based on a list of record keys provided in the request. If the changelog parameter is sent and set to true, deleted records as well as previous values of records will be included in the response.
Stable - with the exception of the metadata field when application/vnd.inphinity-forms+json content type is used.
Required permissions: READ
| formInstance required | string ID of form instance |
Form query parameters
| keys required | Array of strings List of record keys to query |
{- "keys": [
- "582e0548-4e62-4bf3-9b14-855662c0e47e",
- "46116a62-b6f7-4939-8f78-d142b8f0657a"
]
}[- {
- "$key": "582e0548-4e62-4bf3-9b14-855662c0e47e",
- "$changedAt": "2023-09-08T09:20:10Z",
- "$changedBy": "johndoe",
- "$changedByName": "John Doe",
- "region": "EMEA",
- "billings": "1000000"
}, - {
- "$key": "46116a62-b6f7-4939-8f78-d142b8f0657a",
- "$changedAt": "2023-09-08T11:06:37Z",
- "$changedBy": "willsmith",
- "$changedByName": "Will Smith",
- "region": "APAC",
- "billings": "2000000"
}
]This endpoint is used to bulk-import records into the forms instance. If any records already exist, those are overwritten and lost. If the import fails, the content of the instance will be either empty or containing the original records.
Stable.
Required permissions: IMPORT
| formInstance required | string ID of form instance |
All instance data
| $key | string Record key; when omitted or null, a new key will be generated on insert; when present, must be a non-empty string |
| $changedAt | string <date-time> ISO 8601 formatted timestamp of when the record was modified |
| $changedBy | string |
| $changedByName | string |
| $deleted | boolean |
| $isNew | boolean |
| property name* additional property | any |
[- {
- "$key": "582e0548-4e62-4bf3-9b14-855662c0e47e",
- "$changedAt": "2023-09-08T09:20:10Z",
- "$changedBy": "johndoe",
- "$changedByName": "John Doe",
- "region": "EMEA",
- "billings": "1000000"
}, - {
- "$key": "46116a62-b6f7-4939-8f78-d142b8f0657a",
- "$changedAt": "2023-09-08T11:06:37Z",
- "$changedBy": "willsmith",
- "$changedByName": "Will Smith",
- "region": "APAC",
- "billings": "2000000"
}
]This endpoint is used to bulk-import records into the forms instance. If any records already exist, those are overwritten and lost. If the import fails, the content of the instance will be either empty or containing the original records. The import starts once all data is transferred to the server and is performed as a background operation.
Preview - request and response structure may change in future releases.
Required permissions: IMPORT
| formInstance required | string ID of form instance |
All instance data
| $key | string Record key; when omitted or null, a new key will be generated on insert; when present, must be a non-empty string |
| $changedAt | string <date-time> ISO 8601 formatted timestamp of when the record was modified |
| $changedBy | string |
| $changedByName | string |
| $deleted | boolean |
| $isNew | boolean |
| property name* additional property | any |
[- {
- "$key": "582e0548-4e62-4bf3-9b14-855662c0e47e",
- "$changedAt": "2023-09-08T09:20:10Z",
- "$changedBy": "johndoe",
- "$changedByName": "John Doe",
- "region": "EMEA",
- "billings": "1000000"
}, - {
- "$key": "46116a62-b6f7-4939-8f78-d142b8f0657a",
- "$changedAt": "2023-09-08T11:06:37Z",
- "$changedBy": "willsmith",
- "$changedByName": "Will Smith",
- "region": "APAC",
- "billings": "2000000"
}
]{- "id": "582e0548-4e62-4bf3-9b14-855662c0e47e",
- "status": "queued"
}This endpoint is used to upsert (update or insert) multiple records with the same change. Multiple different changes can be submitted.
Stable.
Required permissions: WRITE
| formInstance required | string ID of form instance |
| keys required | Array of strings |
| modification required | object |
[- {
- "keys": [
- "582e0548-4e62-4bf3-9b14-855662c0e47e",
- "5e499891-a3cf-4f7e-ac9f-bd05d019320e",
- ""
], - "modification": {
- "billings": "1000000"
}
}
]This endpoint is used to query all records stored in the form instance. If the changelog parameter is sent and set to true, deleted records as well as older (changed) values of records will be included in the response.
Stable - with the exception of the metadata field when application/vnd.inphinity-forms+json content type is used.
Required permissions: READ
| formInstance required | string ID of form instance |
| changelog | boolean Return full changelog |
| since | string <date-time> ISO 8601 formatted timestamp; only records newer than this timestamp will be returned |
This endpoint is used to insert new records or update existing records.
Stable - with the exception of the metadata field when application/vnd.inphinity-forms+json content type is used.
Required permissions: WRITE
| formInstance required | string ID of form instance |
| Prefer | string The endpoint respects the |
| $key | string Record key; when omitted or null, a new key will be generated on insert; when present, must be a non-empty string |
| $changedAt | string <date-time> ISO 8601 formatted timestamp of when the record was modified |
| $changedBy | string |
| $changedByName | string |
| $deleted | boolean |
| $isNew | boolean |
| property name* additional property | any |
[- {
- "$key": "582e0548-4e62-4bf3-9b14-855662c0e47e",
- "region": "EMEA",
- "billings": "1000000"
}, - {
- "region": "APAC",
- "billings": "2000000"
}
][- {
- "$key": "582e0548-4e62-4bf3-9b14-855662c0e47e",
- "$changedAt": "2023-09-30T09:20:10Z",
- "$changedBy": "thisuser",
- "$changedByName": "This User",
- "region": "EMEA",
- "billings": "1000000"
}, - {
- "$key": "46116a62-b6f7-4939-8f78-d142b8f0657a",
- "$changedAt": "2023-09-30T09:20:10Z",
- "$changedBy": "thisuser",
- "$changedByName": "This User",
- "$isNew": true,
- "region": "APAC",
- "billings": "2000000"
}
]This endpoint is used to completely remove all records stored in the forms instance, including the changelog.
Stable - with the exception of the metadata field when application/vnd.inphinity-forms+json content type is used.
Required permissions: PURGE
| formInstance required | string ID of form instance |
This endpoint is used to delete a single record. If the underlying storage supports it, the record is only marked as deleted.
Stable.
Required permissions: WRITE
| formInstance required | string ID of form instance |
| key required | string ID of record to delete |
This endpoint is used to query records stored in the form instance based on a list of record keys provided in the request. If the changelog parameter is sent and set to true, deleted records as well as previous values of records will be included in the response.
Stable - with the exception of the metadata field when application/vnd.inphinity-forms+json content type is used.
Required permissions: READ
| formInstance required | string ID of form instance |
Form query parameters
| keys required | Array of strings List of record keys to query |
{- "keys": [
- "582e0548-4e62-4bf3-9b14-855662c0e47e",
- "46116a62-b6f7-4939-8f78-d142b8f0657a"
]
}[- {
- "$key": "582e0548-4e62-4bf3-9b14-855662c0e47e",
- "$changedAt": "2023-09-08T09:20:10Z",
- "$changedBy": "johndoe",
- "$changedByName": "John Doe",
- "region": "EMEA",
- "billings": "1000000"
}, - {
- "$key": "46116a62-b6f7-4939-8f78-d142b8f0657a",
- "$changedAt": "2023-09-08T11:06:37Z",
- "$changedBy": "willsmith",
- "$changedByName": "Will Smith",
- "region": "APAC",
- "billings": "2000000"
}
]This endpoint is used to bulk-import records into the forms instance. If any records already exist, those are overwritten and lost.
Stable.
Required permissions: IMPORT
| formInstance required | string ID of form instance |
All instance data
| $key | string Record key; when omitted or null, a new key will be generated on insert; when present, must be a non-empty string |
| $changedAt | string <date-time> ISO 8601 formatted timestamp of when the record was modified |
| $changedBy | string |
| $changedByName | string |
| $deleted | boolean |
| $isNew | boolean |
| property name* additional property | any |
[- {
- "$key": "582e0548-4e62-4bf3-9b14-855662c0e47e",
- "$changedAt": "2023-09-08T09:20:10Z",
- "$changedBy": "johndoe",
- "$changedByName": "John Doe",
- "region": "EMEA",
- "billings": "1000000"
}, - {
- "$key": "46116a62-b6f7-4939-8f78-d142b8f0657a",
- "$changedAt": "2023-09-08T11:06:37Z",
- "$changedBy": "willsmith",
- "$changedByName": "Will Smith",
- "region": "APAC",
- "billings": "2000000"
}
]This endpoint is used to bulk-import records into the forms instance. If any records already exist, those are overwritten and lost. The import starts once all data is transferred to the server and is performed as a background operation.
Preview - request and response structure may change in future releases.
Required permissions: IMPORT
| formInstance required | string ID of form instance |
All instance data
| $key | string Record key; when omitted or null, a new key will be generated on insert; when present, must be a non-empty string |
| $changedAt | string <date-time> ISO 8601 formatted timestamp of when the record was modified |
| $changedBy | string |
| $changedByName | string |
| $deleted | boolean |
| $isNew | boolean |
| property name* additional property | any |
[- {
- "$key": "582e0548-4e62-4bf3-9b14-855662c0e47e",
- "$changedAt": "2023-09-08T09:20:10Z",
- "$changedBy": "johndoe",
- "$changedByName": "John Doe",
- "region": "EMEA",
- "billings": "1000000"
}, - {
- "$key": "46116a62-b6f7-4939-8f78-d142b8f0657a",
- "$changedAt": "2023-09-08T11:06:37Z",
- "$changedBy": "willsmith",
- "$changedByName": "Will Smith",
- "region": "APAC",
- "billings": "2000000"
}
]{- "id": "582e0548-4e62-4bf3-9b14-855662c0e47e",
- "status": "queued"
}This endpoint is used to query all comments stored in the form instance. If the changelog parameter is sent and set to true, deleted comments as well as previous versions of comments will be included in the response.
Preview - request and response structure may change in future releases.
Required permissions: READ
| formInstance required | string ID of form instance |
| changelog | boolean Return full changelog |
| lastInThread | string Return only last comment from only thread specified in the parameter (at most one per appId and objId). |
This endpoint is used to create a new comment.
Preview - request and response structure may change in future releases.
Required permissions: WRITE; adding a comment with pinned=true requires MODERATE permission.
| formInstance required | string ID of form instance |
| key | string Record key; when omitted or null, a new key will be generated on insert; when present, must be a non-empty string |
| appId | string |
| objId | string |
| threadId required | string |
| text | string |
Array of objects (QlikSelection) | |
| snapshots | Array of strings |
| attachments | Array of strings |
| tags | Array of strings |
| pinned required | boolean |
| deleted | boolean |
{- "text": "New comment",
- "appId": "83de-4c02-91eb-412dc16ad0ab",
- "objId": "nqwe923",
- "selections": [ ],
- "snapshots": [ ],
- "attachments": [ ],
- "tags": [ ],
- "pinned": false
}{- "key": "2cb50a97-1547-4d1c-8ab1-f10b59dc743c",
- "appId": "83de-4c02-91eb-412dc16ad0ab",
- "objId": "nqwe923",
- "createdAt": "2023-05-05T12:16:52Z",
- "changedAt": "2023-05-05T12:16:52Z",
- "createdBy": "wsmith",
- "createdByName": "Will Smith",
- "text": "New comment",
- "selections": [ ],
- "snapshots": [ ],
- "attachments": [ ],
- "tags": [ ],
- "pinned": false,
- "deleted": false,
- "threadId": "",
- "mentions": [ ]
}This endpoint is used to query all comments stored in the form instance that belong to the specified app and object. If the changelog parameter is sent and set to true, deleted comments as well as previous versions of comments will be included in the response.
Preview - request and response structure may change in future releases.
Required permissions: READ
| formInstance required | string ID of form instance |
| appId required | string |
| objId | string |
| lastInThread | string |
{- "appId": "83de-4c02-91eb-412dc16ad0ab",
- "objId": "mn123ms"
}[- {
- "key": "c6b173dd-83de-4c02-91eb-412dc16ad0ab",
- "createdAt": "2023-05-05T11:56:48Z",
- "createdBy": "jdoe",
- "createdByName": "John Doe",
- "changedAt": "2023-05-05T11:56:48Z",
- "changedBy": "jdoe",
- "changedByName": "John Doe",
- "text": "Comment text",
- "selections": [ ],
- "snapshots": [ ],
- "attachments": [ ],
- "tags": [ ],
- "pinned": false,
- "deleted": false,
- "threadId": "",
- "appId": "83de-4c02-91eb-412dc16ad0ab",
- "objId": "mn123ms",
- "mentions": [ ]
}, - {
- "key": "2cb50a97-1547-4d1c-8ab1-f10b59dc743c",
- "createdAt": "2023-05-05T12:16:52Z",
- "createdBy": "wsmith",
- "createdByName": "Will Smith",
- "changedAt": "2023-05-05T12:16:52Z",
- "changedBy": "wsmith",
- "changedByName": "Will Smith",
- "text": "Another comment",
- "selections": [ ],
- "snapshots": [ ],
- "attachments": [ ],
- "tags": [ ],
- "pinned": false,
- "deleted": false,
- "threadId": "",
- "appId": "83de-4c02-91eb-412dc16ad0ab",
- "objId": "mn123ms",
- "mentions": [ ]
}
]This endpoint is used to bulk-import comment records into the forms instance. If any records already exist, those are overwritten and lost.
Stable.
Required permissions: IMPORT
| formInstance required | string ID of form instance |
All instance data
| createdAt | string <date-time> ISO 8601 formatted timestamp of when the record was created |
| createdBy | string |
| createdByName | string |
| changedAt | string <date-time> ISO 8601 formatted timestamp of when the record was modified |
| changedBy | string |
| changedByName | string |
Array of objects (BasicUserInfo) | |
| key | string Record key; when omitted or null, a new key will be generated on insert; when present, must be a non-empty string |
| appId | string |
| objId | string |
| threadId required | string |
| text | string |
Array of objects (QlikSelection) | |
| snapshots | Array of strings |
| attachments | Array of strings |
| tags | Array of strings |
| pinned required | boolean |
| deleted | boolean |
[- {
- "createdAt": "2023-07-25T09:10:32.00042+02:00",
- "createdBy": "string",
- "createdByName": "string",
- "changedAt": "2023-07-25T09:10:32.00042+02:00",
- "changedBy": "string",
- "changedByName": "string",
- "mentions": [
- {
- "userId": "string",
- "userName": "string",
- "userDirectory": "string"
}
], - "key": "string",
- "appId": "string",
- "objId": "string",
- "threadId": "string",
- "text": "string",
- "selections": [
- {
- "qField": "string",
- "values": [
- "string"
]
}
], - "snapshots": [
- "string"
], - "attachments": [
- "string"
], - "tags": [
- "string"
], - "pinned": true,
- "deleted": true
}
]This endpoint is used to bulk-import comment records into the forms instance. If any records already exist, those are overwritten and lost.
Preview - request and response structure may change in future releases.
Required permissions: IMPORT
| formInstance required | string ID of form instance |
All instance data
| createdAt | string <date-time> ISO 8601 formatted timestamp of when the record was created |
| createdBy | string |
| createdByName | string |
| changedAt | string <date-time> ISO 8601 formatted timestamp of when the record was modified |
| changedBy | string |
| changedByName | string |
Array of objects (BasicUserInfo) | |
| key | string Record key; when omitted or null, a new key will be generated on insert; when present, must be a non-empty string |
| appId | string |
| objId | string |
| threadId required | string |
| text | string |
Array of objects (QlikSelection) | |
| snapshots | Array of strings |
| attachments | Array of strings |
| tags | Array of strings |
| pinned required | boolean |
| deleted | boolean |
[- {
- "createdAt": "2023-07-25T09:10:32.00042+02:00",
- "createdBy": "string",
- "createdByName": "string",
- "changedAt": "2023-07-25T09:10:32.00042+02:00",
- "changedBy": "string",
- "changedByName": "string",
- "mentions": [
- {
- "userId": "string",
- "userName": "string",
- "userDirectory": "string"
}
], - "key": "string",
- "appId": "string",
- "objId": "string",
- "threadId": "string",
- "text": "string",
- "selections": [
- {
- "qField": "string",
- "values": [
- "string"
]
}
], - "snapshots": [
- "string"
], - "attachments": [
- "string"
], - "tags": [
- "string"
], - "pinned": true,
- "deleted": true
}
]{- "id": "582e0548-4e62-4bf3-9b14-855662c0e47e",
- "status": "queued"
}This endpoint is used to update a comment. Users can only update their own comments.
Preview - request and response structure may change in future releases.
Required permissions: WRITE; user can only update comments created by the same user. Change of the pinned flag is only allowed for users with MODERATE permission.
| formInstance required | string ID of form instance |
| key required | string ID of comment record |
| key | string Record key; when omitted or null, a new key will be generated on insert; when present, must be a non-empty string |
| appId | string |
| objId | string |
| threadId required | string |
| text | string |
Array of objects (QlikSelection) | |
| snapshots | Array of strings |
| attachments | Array of strings |
| tags | Array of strings |
| pinned required | boolean |
| deleted | boolean |
{- "key": "2cb50a97-1547-4d1c-8ab1-f10b59dc743c",
- "text": "Modified comment",
- "selections": [ ],
- "snapshots": [ ],
- "attachments": [ ],
- "tags": [ ],
- "pinned": false,
- "threadId": ""
}{- "key": "2cb50a97-1547-4d1c-8ab1-f10b59dc743c",
- "createdAt": "2023-09-05T12:20:00Z",
- "createdBy": "thisuser",
- "createdByName": "This user",
- "changedAt": "2023-09-05T12:30:00Z",
- "changedBy": "thisuser",
- "changedByName": "This user",
- "text": "Modified comment",
- "selections": [ ],
- "snapshots": [ ],
- "attachments": [ ],
- "tags": [ ],
- "pinned": false,
- "deleted": false,
- "threadId": "",
- "mentions": [ ]
}This endpoint is used to delete a single comment. A user can only delete comments created by the same user. A moderator can delete any comment.
Stable.
Required permissions: WRITE; to delete other users' comments, MODERATE is required.
| formInstance required | string ID of form instance |
| key required | string ID of comment record |
This endpoint is used to store a new attachment. Request body is a multipart and the file to be attached must be sent in a part with name 'file'.
Stable.
Required permissions: WRITE
| formInstance required | string ID of upload form instance |
| subfolder | string Subfolder to store the attachment in |
"upload-3238376705641966890-origfile.docx"This endpoint is used to download an attachment. The content type of the response is always application/octet-stream, so that the browser does not attempt to render the file but instead offers the user to save it.
Stable.
Required permissions: READ
| formInstance required | string ID of upload form instance |
| attachmentId required | string ID of attachment |
| subfolder | string Subfolder the attachment is stored in |
This endpoint is used to view an attachment. The content type of the response should match the actual type of the file, so that the browser attempts to render the file instead of saving it as a file.
Stable.
Required permissions: READ
| formInstance required | string ID of upload form instance |
| attachmentId required | string ID of attachment |
| subfolder | string Subfolder the attachment is stored in |
This endpoint is used to delete a stored attachment.
Stable.
Required permissions: WRITE
| formInstance required | string ID of upload form instance |
| attachmentId required | string ID of attachment |
| subfolder | string Subfolder the attachment is stored in |
This endpoint is used to query all or requested configured forms instances. When the id parameter is specified, the specified form instances configurations are returned. Otherwise, all instances configurations are returned.
Preview - request and response structure may change in future releases.
Required permissions: READ on 'configForms' instance or membership in ADMIN group.
| id | Array of strings IDs of forms instances to return. |
[- {
- "type": "general",
- "id": "form1",
- "createdAt": "2023-04-06T12:35:13Z",
- "readGroups": [ ],
- "readWriteGroups": [ ],
- "moderateGroups": [ ],
- "note": "",
- "createdBy": "someuser",
- "collaboration": true,
- "xml": "form1.xml"
}
]This endpoint is used to configure a new forms instance.
Preview - request and response structure may change in future releases.
Required permissions: WRITE on 'configForms' instance or membership in ADMIN group.
| formInstance required | string ID of form instance |
| xml required | string |
| id | string |
| type | string |
| readGroups | Array of strings |
| readWriteGroups | Array of strings |
| moderateGroups | Array of strings |
| mentioneeGroups | Array of strings |
| createdBy | string |
| createdAt | string <date-time> ISO 8601 formatted timestamp of when the instance was created |
| changedBy | string |
| changedAt | string <date-time> ISO 8601 formatted timestamp of when the instance was last modified |
| note | string |
| collaboration | boolean |
| changelog | boolean |
| softDelete | boolean |
{- "type": "general",
- "id": "form1",
- "readGroups": [ ],
- "readWriteGroups": [ ],
- "moderateGroups": [ ],
- "note": "",
- "collaboration": true,
- "xml": "form1.xml"
}{- "type": "general",
- "id": "form1",
- "createdAt": "2023-04-06T12:35:13Z",
- "readGroups": [ ],
- "readWriteGroups": [ ],
- "moderateGroups": [ ],
- "note": "",
- "createdBy": "thisuser",
- "collaboration": true,
- "xml": "form1.xml"
}This endpoint is used to modify a forms instance configuration.
Preview - request and response structure may change in future releases.
Required permissions: WRITE on 'configForms' instance or membership in ADMIN group.
| formInstance required | string ID of form instance |
| xml required | string |
| id | string |
| type | string |
| readGroups | Array of strings |
| readWriteGroups | Array of strings |
| moderateGroups | Array of strings |
| mentioneeGroups | Array of strings |
| createdBy | string |
| createdAt | string <date-time> ISO 8601 formatted timestamp of when the instance was created |
| changedBy | string |
| changedAt | string <date-time> ISO 8601 formatted timestamp of when the instance was last modified |
| note | string |
| collaboration | boolean |
| changelog | boolean |
| softDelete | boolean |
{- "type": "general",
- "id": "form1",
- "readGroups": [ ],
- "readWriteGroups": [ ],
- "moderateGroups": [ ],
- "note": "Added note",
- "collaboration": true,
- "xml": "other/form1.xml"
}{- "type": "general",
- "id": "form1",
- "createdAt": "2023-04-06T12:35:13Z",
- "readGroups": [ ],
- "readWriteGroups": [ ],
- "moderateGroups": [ ],
- "note": "Added note",
- "createdBy": "someuser",
- "collaboration": true,
- "xml": "other/form1.xml"
}This endpoint is used to remove a forms instance configuration.
Preview - request and response structure may change in future releases.
Required permissions: WRITE on 'configForms' instance or membership in ADMIN group.
| formInstance required | string ID of form instance |
| removeStoredData | boolean Remove stored data - i.e. remove (rename to indicate removal) the underlying XML or QVD file or MongoDB collection |
This endpoint is used to query all or requested configured datasources. When the owner parameter is specified, datasources with a matching owner are returned. Otherwise, all datasources are returned.
Preview - request and response structure may change in future releases.
Required permissions: READ on 'configForms' instance or membership in ADMIN group.
| owner required | string Only datasources with a matching |
[- {
- "connectionString": "string",
- "driver": "string",
- "trustedCertificates": "string",
- "sqlDriverMode": false,
- "sqlInit": [
- "string"
], - "sqlCommit": [
- "string"
], - "id": "string",
- "type": "sql",
- "name": "string",
- "note": "string",
- "credentials": [
- {
- "username": "string",
- "encryptedPassword": "string",
- "hasPassword": true,
- "type": "up",
- "id": "string",
- "note": "string"
}
], - "activeCredentialsId": "string",
- "owner": "string",
- "metadata": { },
- "createdBy": "string",
- "createdAt": "2023-07-25T09:10:32.00042+02:00",
- "changedBy": "string",
- "changedAt": "2023-07-25T09:10:32.00042+02:00"
}
]This endpoint is used to configure a new datasource.
Preview - request and response structure may change in future releases.
Required permissions: WRITE on 'configForms' instance or membership in ADMIN group.
Credentials are ignored in the request body. Use separate calls to manage credentials. ID is ignored and a new one is generated.
| connectionString required | string |
| driver | string |
| trustedCertificates | string |
| sqlDriverMode | boolean Default: false |
| sqlInit | Array of strings |
| sqlCommit | Array of strings |
| id required | string |
| type required | string |
| name | string |
| note | string |
Array of any (Credentials) | |
| activeCredentialsId | string |
| owner | string Typically the tenant id |
| metadata | object |
| createdBy | string |
| createdAt | string <date-time> ISO 8601 formatted timestamp of when the datasource was created |
| changedBy | string |
| changedAt | string <date-time> ISO 8601 formatted timestamp of when the datasource was changed |
{- "connectionString": "string",
- "driver": "string",
- "trustedCertificates": "string",
- "sqlDriverMode": false,
- "sqlInit": [
- "string"
], - "sqlCommit": [
- "string"
], - "id": "string",
- "type": "sql",
- "name": "string",
- "note": "string",
- "credentials": [
- {
- "username": "string",
- "encryptedPassword": "string",
- "hasPassword": true,
- "type": "up",
- "id": "string",
- "note": "string"
}
], - "activeCredentialsId": "string",
- "owner": "string",
- "metadata": { },
- "createdBy": "string",
- "createdAt": "2023-07-25T09:10:32.00042+02:00",
- "changedBy": "string",
- "changedAt": "2023-07-25T09:10:32.00042+02:00"
}{- "connectionString": "string",
- "driver": "string",
- "trustedCertificates": "string",
- "sqlDriverMode": false,
- "sqlInit": [
- "string"
], - "sqlCommit": [
- "string"
], - "id": "string",
- "type": "sql",
- "name": "string",
- "note": "string",
- "credentials": [
- {
- "username": "string",
- "encryptedPassword": "string",
- "hasPassword": true,
- "type": "up",
- "id": "string",
- "note": "string"
}
], - "activeCredentialsId": "string",
- "owner": "string",
- "metadata": { },
- "createdBy": "string",
- "createdAt": "2023-07-25T09:10:32.00042+02:00",
- "changedBy": "string",
- "changedAt": "2023-07-25T09:10:32.00042+02:00"
}This endpoint is used to query a datasource.
Preview - request and response structure may change in future releases.
Required permissions: READ on 'configForms' instance or membership in ADMIN group.
| datasource required | string ID of a datasource |
| owner required | string Must match the datasource's owner. |
{- "connectionString": "string",
- "driver": "string",
- "trustedCertificates": "string",
- "sqlDriverMode": false,
- "sqlInit": [
- "string"
], - "sqlCommit": [
- "string"
], - "id": "string",
- "type": "sql",
- "name": "string",
- "note": "string",
- "credentials": [
- {
- "username": "string",
- "encryptedPassword": "string",
- "hasPassword": true,
- "type": "up",
- "id": "string",
- "note": "string"
}
], - "activeCredentialsId": "string",
- "owner": "string",
- "metadata": { },
- "createdBy": "string",
- "createdAt": "2023-07-25T09:10:32.00042+02:00",
- "changedBy": "string",
- "changedAt": "2023-07-25T09:10:32.00042+02:00"
}This endpoint is used to update a datasource.
Preview - request and response structure may change in future releases.
Required permissions: WRITE on 'configForms' instance or membership in ADMIN group.
| datasource required | string ID of a datasource |
| owner required | string Must match the datasource's owner. |
Credentials are ignored in the request body. Use separate calls to manage credentials.
| connectionString required | string |
| driver | string |
| trustedCertificates | string |
| sqlDriverMode | boolean Default: false |
| sqlInit | Array of strings |
| sqlCommit | Array of strings |
| id required | string |
| type required | string |
| name | string |
| note | string |
Array of any (Credentials) | |
| activeCredentialsId | string |
| owner | string Typically the tenant id |
| metadata | object |
| createdBy | string |
| createdAt | string <date-time> ISO 8601 formatted timestamp of when the datasource was created |
| changedBy | string |
| changedAt | string <date-time> ISO 8601 formatted timestamp of when the datasource was changed |
{- "connectionString": "string",
- "driver": "string",
- "trustedCertificates": "string",
- "sqlDriverMode": false,
- "sqlInit": [
- "string"
], - "sqlCommit": [
- "string"
], - "id": "string",
- "type": "sql",
- "name": "string",
- "note": "string",
- "credentials": [
- {
- "username": "string",
- "encryptedPassword": "string",
- "hasPassword": true,
- "type": "up",
- "id": "string",
- "note": "string"
}
], - "activeCredentialsId": "string",
- "owner": "string",
- "metadata": { },
- "createdBy": "string",
- "createdAt": "2023-07-25T09:10:32.00042+02:00",
- "changedBy": "string",
- "changedAt": "2023-07-25T09:10:32.00042+02:00"
}{- "connectionString": "string",
- "driver": "string",
- "trustedCertificates": "string",
- "sqlDriverMode": false,
- "sqlInit": [
- "string"
], - "sqlCommit": [
- "string"
], - "id": "string",
- "type": "sql",
- "name": "string",
- "note": "string",
- "credentials": [
- {
- "username": "string",
- "encryptedPassword": "string",
- "hasPassword": true,
- "type": "up",
- "id": "string",
- "note": "string"
}
], - "activeCredentialsId": "string",
- "owner": "string",
- "metadata": { },
- "createdBy": "string",
- "createdAt": "2023-07-25T09:10:32.00042+02:00",
- "changedBy": "string",
- "changedAt": "2023-07-25T09:10:32.00042+02:00"
}This endpoint is used to remove a datasource configuration.
Preview - request and response structure may change in future releases.
Required permissions: WRITE on 'configForms' instance or membership in ADMIN group.
| datasource required | string ID of a datasource |
| owner required | string Must match the datasource's owner. |
This endpoint is used to test a datasource. Unless credentialsId is specified in the query, currently active credentials will be used. Returns an empty body with 200 status on success, or 500 with ProblemDetail in the body.
Preview - request and response structure may change in future releases.
Required permissions: READ on 'configForms' instance or membership in ADMIN group.
| datasource required | string ID of a datasource |
| owner required | string Must match the datasource's owner. |
| credentialsId | string |
This endpoint is used to add new credentials to a datasource.
Preview - request and response structure may change in future releases.
Required permissions: WRITE on 'configForms' instance or membership in ADMIN group.
| datasource required | string ID of a datasource |
| owner required | string Must match the datasource's owner. |
| username | string |
| encryptedPassword | string for updates |
| hasPassword | boolean for query responses |
| type required | string |
| id | string only used in query response, for new credentials backend assigns ID |
| note | string |
{- "username": "string",
- "encryptedPassword": "string",
- "hasPassword": true,
- "type": "up",
- "id": "string",
- "note": "string"
}{- "username": "string",
- "encryptedPassword": "string",
- "hasPassword": true,
- "type": "up",
- "id": "string",
- "note": "string"
}This endpoint is used to remove a datasource's credentials.
Preview - request and response structure may change in future releases.
Required permissions: WRITE on 'configForms' instance or membership in ADMIN group.
| datasource required | string ID of a datasource |
| credentialId required | string id slot of credential |
| owner required | string Must match the datasource's owner. |
This endpoint is used to query all user-defined groups.
Preview - request and response structure may change in future releases.
Required permissions: READ on 'configForms' instance or membership in ADMIN group.
[- {
- "name": "string",
- "note": "string"
}
]This endpoint is used to set all user-defined groups.
Preview - request and response structure may change in future releases.
Required permissions: WRITE on 'configForms' instance or membership in ADMIN group.
| name required | string |
| note | string |
[- {
- "name": "string",
- "note": "string"
}
][- {
- "name": "string",
- "note": "string"
}
]This endpoint is used to query status of a background job.
Preview - request and response structure may change in future releases.
| jobId required | string ID background job |
{- "id": "582e0548-4e62-4bf3-9b14-855662c0e47e",
- "status": "queued"
}